# Candidatos

## Listado de Candidatos

<mark style="color:blue;">`GET`</mark> `https://panel.terecluta.com/api/candidates/candidates/{company_code}`

#### Query Parameters

| Name               | Type   | Description   |
| ------------------ | ------ | ------------- |
| search             | String |               |
| salary\_min        | String |               |
| study\_career\_id  | String |               |
| state\_id          | String |               |
| salary\_max        | String |               |
| country\_id        | String |               |
| salary\_currency   | String |               |
| language\_id       | String |               |
| page               | 1      | por defecto 1 |
| study\_level\_id   | String |               |
| work\_area\_id     | String |               |
| work\_industry\_id | String |               |
| work\_position\_id | String |               |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "data": [
        {
            "id": "9176",
            "dni": "34343333",
            "first_name": " Priscila",
            "last_name": "chitadino Gimenez",
            "email": "email1@yahoo.com",
            "birth": "2002-04-12",
            "age": "19",
            "created_date": "2021-11-08 14:21:43",
            "nationality": "Argentina",
            "position": "",
            "resume": "",
            "country": "Argentina",
            "country_id": "11",
            "state": "Mendoza",
            "state_id": "3646",
            "province": "",
            "district": "San Rafael",
            "address": "Irene Curie 238",
            "cellphone": "",
            "phone": "2604569418",
            "photo": "80b241d75553ce43bcbdb55b2f6fe0dc.jpeg",
            "cv": "",
            "criminal_record": "",
            "salary": "0",
            "salary_currency": "S/.",
            "immediate_availability": "0",
            "share_information": "1",
            "fields": "{\"facilcv\": true}"
        },
        {
            "id": "2196",
            "dni": "4525222",
            "first_name": "Aarom Abraham ",
            "last_name": "Castillo Pérez",
            "email": "email2@hotmail.com",
            "birth": "1996-08-31",
            "age": "25",
            "created_date": "2020-10-05 16:56:45",
            "nationality": null,
            "position": null,
            "resume": null,
            "country": "Peru",
            "country_id": "173",
            "state": "Lima",
            "state_id": "3695",
            "province": "Lima",
            "district": "La Molina",
            "address": "jiron la laguna 569 la planicie",
            "cellphone": "960542456",
            "phone": "960542456",
            "photo": "52304907ea321c51d727294f56b8ce98.png",
            "cv": "321fc800665902ef48add451942301e9.docx",
            "criminal_record": "86a893cde81111245570696b7e1e0f6d.docx",
            "salary": "2000",
            "salary_currency": "S/.",
            "immediate_availability": "1",
            "share_information": "1",
            "fields": "null"
        },
        {
            "id": "3101",
            "dni": "4544522",
            "first_name": "Aaron",
            "last_name": "Sovero",
            "email": "email3@gmail.com",
            "birth": "0000-00-00",
            "age": null,
            "created_date": "2020-11-06 19:37:48",
            "nationality": null,
            "position": null,
            "resume": null,
            "country": "Peru",
            "country_id": "173",
            "state": "-",
            "state_id": "0",
            "province": "-",
            "district": "-",
            "address": "",
            "cellphone": "",
            "phone": "",
            "photo": null,
            "cv": null,
            "criminal_record": null,
            "salary": "0",
            "salary_currency": "S/.",
            "immediate_availability": "0",
            "share_information": "1",
            "fields": "null"
        }
    ],
    "data_rows": 3
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false,
    "message": "Tu plan no te permite realizar esta acción"
}
```

{% endtab %}
{% endtabs %}

## Detalle de Candidatos

<mark style="color:blue;">`GET`</mark> `https://panel.terecluta.com/api/candidates/candidates/{company_code}/:candidate_id`

#### Path Parameters

| Name          | Type | Description |
| ------------- | ---- | ----------- |
| candidate\_id | 8488 |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "data": {
        "id": "7811",
        "dni": "34343333",
        "first_name": " Priscila",
        "last_name": "chitadino Gimenez",
        "email": "email1@yahoo.com",
        "birth": "2002-04-12",
        "age": "23",
        "created_date": "2021-05-25 22:40:27",
        "nationality": "Peruana",
        "position": null,
        "resume": null,
        "country": "Peru",
        "country_id": "173",
        "state": "Callao",
        "state_id": "3701",
        "province": "Callao",
        "district": "Callao",
        "address": "Urb. Villa Peru 48585",
        "cellphone": "992490822",
        "phone": "7611201",
        "photo": "2a0c1f902ed62e16af3a5855e9b76d12.jpg",
        "cv": "1c52b4a3f60b1e2059a5585c7a49f6c9.pdf",
        "criminal_record": null,
        "salary": "1000",
        "salary_currency": "S/.",
        "immediate_availability": "0",
        "share_information": "1",
        "fields": "null"
    },
    "languages": [
        {
            "id": "5265",
            "language": "Ingles",
            "level": "2"
        },
        {
            "id": "5267",
            "language": "Español",
            "level": "3"
        }
    ],
    "references": [
        {
            "id": "6218",
            "candidate_id": "7811",
            "full_name": "Jesús Medina",
            "company": "554455 EIRL",
            "phone": "553434344"
        }
    ],
    "studies": [
        {
            "id": "7139",
            "level": "Profesional",
            "career": "Otro",
            "institution": "UNIVERSIDAD NACIONAL DEL CALLAO",
            "from_date": "2016",
            "to_date": "0000",
            "current": "1",
            "culminated": "0"
        }
    ],
    "technologicals": [
        {
            "id": "12614",
            "candidate_id": "7811",
            "technology": "Excel",
            "level": "2"
        },
        {
            "id": "12615",
            "candidate_id": "7811",
            "technology": "Autocad",
            "level": "3"
        },
        {
            "id": "12616",
            "candidate_id": "7811",
            "technology": "DigSilent",
            "level": "2"
        },
        {
            "id": "12617",
            "candidate_id": "7811",
            "technology": "MS Project",
            "level": "2"
        },
        {
            "id": "12618",
            "candidate_id": "7811",
            "technology": "Cade Simu",
            "level": "3"
        }
    ],
    "works": [
        {
            "id": "11988",
            "area": "Ingeniería Eléctrica y Electrónica",
            "industry": "Servicios",
            "position": "Practicante",
            "work_position": "Practicante Electricista",
            "company": "GR. 2000 EIRL",
            "description": "<p>- Realizar mantenimiento eléctrico a maquinarias industriales, tableros eléctricos, pozos a tierra.<br>- Realizar instalaciones eléctricas de luminarias a diversos centros comerciales.<br>- Apoyo en el registro de calidad de operación.<br></p>",
            "from_date": "2019",
            "to_date": "2019",
            "current": "0"
        },
        {
            "id": "11989",
            "area": "Ingeniería Eléctrica y Electrónica",
            "industry": "Servicios",
            "position": "Practicante",
            "work_position": "Asistente de Ingeniería",
            "company": "GR. 2000 EIRL",
            "description": "<p>- Apoyo en la realización de planos eléctricos para centros comerciales.<br>- Realizar memorias descriptivas de los proyectos de la empresa.<br></p>",
            "from_date": "2019",
            "to_date": "2019",
            "current": "0"
        },
        {
            "id": "11987",
            "area": "Ingeniería Eléctrica y Electrónica",
            "industry": "Servicios",
            "position": "Practicante",
            "work_position": "Practicante De Servicios",
            "company": "Thyssenkrupp Elevadores S. A. C.",
            "description": "<p>- Recepción y gestión de reportes técnicos de mantenimiento.<br>- Revisión de ofertas para proyectos de sistemas de elevación.<br>- Coordinación en los servicios requeridos de los reportes técnicos.<br>- Apoyo en las gestiones administrativas.</p>",
            "from_date": "2021",
            "to_date": "0000",
            "current": "1"
        }
    ]
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false,
    "message": "Tu plan no te permite realizar esta acción"
}
```

{% endtab %}
{% endtabs %}

## Descarga de Archivos

<mark style="color:blue;">`GET`</mark> `https://panel.terecluta.com/api/candidates/files/{company_code}/:candidate_id`

#### Path Parameters

| Name                                            | Type | Description |
| ----------------------------------------------- | ---- | ----------- |
| candidate\_id<mark style="color:red;">\*</mark> | 8761 |             |

#### Query Parameters

| Name                                   | Type | Description           |
| -------------------------------------- | ---- | --------------------- |
| type<mark style="color:red;">\*</mark> | cv   | cv o criminal\_record |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "url": "https://panel.terecluta.com/api/download/download?type=cv&code=019fe74e12835d23cd83b5d968a4712681e1106fb6801b2ef635a82694c643"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false,
    "message": "¡Error! No se pudo generar el archivo"
}
```

{% endtab %}
{% endtabs %}

## Agregar Candidato a Proceso

<mark style="color:green;">`POST`</mark> `https://panel.terecluta.com/api/campscandidates/candidates/{company_code}/:camp_id`

#### Path Parameters

| Name                                       | Type | Description |
| ------------------------------------------ | ---- | ----------- |
| camp\_id<mark style="color:red;">\*</mark> | 792  |             |

#### Request Body

| Name          | Type | Description |
| ------------- | ---- | ----------- |
| candidate\_id | 8778 |             |
| invitation    | 1    | 0 o 1       |

{% tabs %}
{% tab title="500: Internal Server Error " %}

```javascript
{
    "status": false,
    "message": "Error"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false
}
```

{% endtab %}

{% tab title="200: OK " %}

```javascript
{
    "status": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.terecluta.com/ats-api/api-te-recluta/candidatos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
